oracle.adf.view.rich.component.rich.layout

## Class RichToolbox

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXPanel
        - - oracle.adf.view.rich.component.rich.layout.RichToolbox

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class RichToolbox
      extends org.apache.myfaces.trinidad.component.UIXPanel
      implements javax.faces.component.behavior.ClientBehaviorHolder

  Toolbox is a multi-row container for toolbars and menuBars. Toolboxes ars are not rendered on printable pages.

  ## Toolbox Layout

  The display of toolbars and menuBars inside a toolbox is highly customizable, due to the flex and stretchId values of the child toolbars and menuBars. Because toolbars and menuBars are both overflow components, they do not have a set width size. A toolbox should be placed in a section of the page where it can horizontally stretch to the available size for proper rendering. Putting a toolbox inside a section of the page where it is horizontally constrained to a minimum size (like a panelStretchLayout end facet) will be error-prone, due to the fact that the contents of the toolbox (toolbars and menubars) as overflow components do not have a set width.

  ## Toolbox Rows

  By default, each toolbar or menuBar placed inside a toolbox will be displayed on its own row. To have several toolbars or menuBars appear on the same row, you can surround these elements with an `<af:group>` component. Please note that while setting up your toolbars and menuBars, you should not nest toolbars or menuBars inside other toolbars or menuBars. This is incompatible with toolbar and menuBar overflow and not supported. Instead, you should use the a toolbox group to arrange the toolbars and menuBars in a row in the desired order.

  ## Right Justifying Items in a Row

  By default all toolbars and menuBars in a toolbox row are left (start side) justified. In order to make some or all of the toolbar or menuBar items right (end side) justified, you can use the stretchId attibute that is available on toolbar and menuBar. StretchId is usually set to the id of a spacer on the toolbar or menuBar that you want to stretch to take up any available extra horizontal space. Only one stretchId should be specified per toolbox row.

  ## Assigning Percent Width Values to Items in a Row

  You can use flex values on the toolbars and menuBars to control what percentage of the available horizontal space each toolbar and menuBar should receive. For example, if your toolbox row has 3 toolbars, each with a flex value of "1", then they receive their flex value (1) of the total space available (3). This means that each of the three toolbars would be given one third of the available horizontal space.

  When toolbox row children have flex values, and there is extra available horizontal space, then the flex values are followed to the best ability with the extra space available. When there is less horizontal space than the preferred size (showing all children without an overflow indicator) of each child in toolbox row, then the toolbox row acts in the same was as if no flex values were provided, and toolbar or menuBar children will be subject to being moved to overflow.

  ## Overflow

  When a toolbar or menuBar does not have enough space to display all items, the children are put into overflow and an overflow button is displayed. The right most (end side) toolbars or menuBars would be forced into overflow before left side toolbars or menuBars. Spacer and image children on toolbars or menuBars that have client components are not put into overflow.

  ## Geometry Management

  - This component can be stretched by a parent layout component that stretches its children, e.g. panelStretchLayout, panelSplitter.
  - This component accepts toolbars and menuBars as children. Toolbox children are stretched horizontally. When there are multiple children per row that have flex values, the toolbox will calculate width values for each child based on their individual flex value compared to the total row flex value. Each child is then stretched to their calculated width. Also of note, child toolbars (toolbar or menuBar) may utilize their stretchId attributes to indicate desire to stretch a child component when there is more space available for a toolbar than used.

  ### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `org.apache.myfaces.trinidad.component.UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_ATTRIBUTES_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_COMPONENT_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_LISTENERS_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CUSTOMIZATION_ID_KEY` Deprecated.
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `INLINE_STYLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SHORT_DESC_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `STYLE_CLASS_KEY`
    `static org.apache.myfaces.trinidad.bean.FacesBean.Type` | `TYPE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `UNSECURE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `VISIBLE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RichToolbox()` Construct an instance of the RichToolbox.
    `protected` | `RichToolbox(String rendererType)` Construct an instance of the RichToolbox with the specified renderer type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `protected org.apache.myfaces.trinidad.bean.FacesBean.Type` | `getBeanType()`
    `Set` | `getClientAttributes()` Gets a set of client attribute names.
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()`
    `ClientListenerSet` | `getClientListeners()` Gets a set of client listeners.
    `String` | `getCustomizationId()` Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
    `String` | `getDefaultEventName()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getShortDesc()` Gets the short description of the component.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `Set<String>` | `getUnsecure()` Gets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client.
    `boolean` | `isClientComponent()` Gets whether a client-side component will be generated.
    `boolean` | `isVisible()` Gets the visibility of the component.
    `void` | `setClientAttributes(Set clientAttributes)` Sets a set of client attribute names.
    `void` | `setClientComponent(boolean clientComponent)` Sets whether a client-side component will be generated.
    `void` | `setClientListeners(ClientListenerSet clientListeners)` Sets a set of client listeners.
    `void` | `setCustomizationId(String customizationId)` Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setShortDesc(String shortDesc)` Sets the short description of the component.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setUnsecure(Set<String> unsecure)` Sets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client.
    `void` | `setVisible(boolean visible)` Sets the visibility of the component.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final org.apache.myfaces.trinidad.bean.FacesBean.Type TYPE

    - #### INLINE_STYLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SHORT_DESC_KEY

    - #### UNSECURE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey UNSECURE_KEY

    - #### VISIBLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey VISIBLE_KEY

    - #### CUSTOMIZATION_ID_KEY

          @Deprecated
          public static final org.apache.myfaces.trinidad.bean.PropertyKey CUSTOMIZATION_ID_KEY

      Deprecated.

    - #### CLIENT_COMPONENT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_COMPONENT_KEY

    - #### CLIENT_ATTRIBUTES_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_ATTRIBUTES_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey PARTIAL_TRIGGERS_KEY

    - #### CLIENT_LISTENERS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_LISTENERS_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RichToolbox

          public RichToolbox()

      Construct an instance of the RichToolbox.

    - #### RichToolbox

          protected RichToolbox(String rendererType)

      Construct an instance of the RichToolbox with the specified renderer type.
      Parameters:
        `rendererType` - the renderer type Construct an instance of the RichToolbox.

  - ### Method Detail

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component. This is intended for basic style changes. The inlineStyle is a set of CSS styles that are applied to the root DOM element of the component. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute. If the inlineStyle's CSS properties do not affect the DOM element you want affected, then you will have to create a skin and use the skinning keys which are meant to target particular DOM elements, like ::label or ::icon-style.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component. This is intended for basic style changes. The inlineStyle is a set of CSS styles that are applied to the root DOM element of the component. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute. If the inlineStyle's CSS properties do not affect the DOM element you want affected, then you will have to create a skin and use the skinning keys which are meant to target particular DOM elements, like ::label or ::icon-style.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component. The style class can be defined in your jspx page or in a skinning CSS file, for example, or you can use one of our public style classes, like 'AFInstructionText'.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component. The style class can be defined in your jspx page or in a skinning CSS file, for example, or you can use one of our public style classes, like 'AFInstructionText'.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets the short description of the component. The shortDesc text may be used in two different ways, depending on the component.

      For components with images, the shortDesc is often used to render an HTML alt attribute for the image. Please see the accessibility guidelines section for correct alt text usage of the shortDesc attribute.

      shortDesc is also commonly used to render an HTML title attribute, which is used by user agents to display tooltip help text. In this case the behavior for the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips. For form components, the shortDesc is displayed in a note window. For components that support the helpTopicId attribute and are not using the shortDesc as image alt text, it is recommended that helpTopicId is used instead of shortDesc as it is more flexible and provides more accessible descriptive text than the use of the title attribute.

      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets the short description of the component. The shortDesc text may be used in two different ways, depending on the component.

      For components with images, the shortDesc is often used to render an HTML alt attribute for the image. Please see the accessibility guidelines section for correct alt text usage of the shortDesc attribute.

      shortDesc is also commonly used to render an HTML title attribute, which is used by user agents to display tooltip help text. In this case the behavior for the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips. For form components, the shortDesc is displayed in a note window. For components that support the helpTopicId attribute and are not using the shortDesc as image alt text, it is recommended that helpTopicId is used instead of shortDesc as it is more flexible and provides more accessible descriptive text than the use of the title attribute.

      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getUnsecure

          public final Set<String> getUnsecure()

      Gets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client. Currently, this is supported only for the "disabled" attribute. Note that when you are able to set a property on the client, you will be allowed to by using the the .setProperty('attribute', newValue) method, but not the .setXXXAttribute(newValue) method. For example, if you have unsecure="disabled", then on the client you can use the method .setProperty('disabled', false), while the method .setDisabled(false) will not work and will provide a javascript error that setDisabled is not a function.
      Returns:
        the new unsecure value

    - #### setUnsecure

          public final void setUnsecure(Set<String> unsecure)

      Sets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client. Currently, this is supported only for the "disabled" attribute. Note that when you are able to set a property on the client, you will be allowed to by using the the .setProperty('attribute', newValue) method, but not the .setXXXAttribute(newValue) method. For example, if you have unsecure="disabled", then on the client you can use the method .setProperty('disabled', false), while the method .setDisabled(false) will not work and will provide a javascript error that setDisabled is not a function.
      Parameters:
        `unsecure` - the new unsecure value

    - #### isVisible

          public final boolean isVisible()

      Gets the visibility of the component. If it is "false", the component will be hidden on the client. Unlike "rendered", this does not affect the lifecycle on the server - the component may have its bindings executed, etc. - and the visibility of the component can be toggled on and off on the client, or toggled with PPR. When "rendered" is false, the component will not in any way be rendered, and cannot be made visible on the client. In most cases, use the "rendered" property instead of the "visible" property.
      Returns:
        the new visible value

    - #### setVisible

          public final void setVisible(boolean visible)

      Sets the visibility of the component. If it is "false", the component will be hidden on the client. Unlike "rendered", this does not affect the lifecycle on the server - the component may have its bindings executed, etc. - and the visibility of the component can be toggled on and off on the client, or toggled with PPR. When "rendered" is false, the component will not in any way be rendered, and cannot be made visible on the client. In most cases, use the "rendered" property instead of the "visible" property.
      Parameters:
        `visible` - the new visible value

    - #### getCustomizationId

          @Deprecated
          public final String getCustomizationId()

      Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
      Gets This attribute is deprecated. The 'id' attribute should be used when applying persistent customizations. This attribute will be removed in the next release.
      Returns:
        the new customizationId value

    - #### setCustomizationId

          @Deprecated
          public final void setCustomizationId(String customizationId)

      Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
      Sets This attribute is deprecated. The 'id' attribute should be used when applying persistent customizations. This attribute will be removed in the next release.
      Parameters:
        `customizationId` - the new customizationId value

    - #### isClientComponent

          public final boolean isClientComponent()

      Gets whether a client-side component will be generated. A component may be generated whether or not this flag is set, but if client Javascript requires the component object, this must be set to true to guarantee the component's presence. Client component objects that are generated today by default may not be present in the future; setting this flag is the only way to guarantee a component's presence, and clients cannot rely on implicit behavior. However, there is a performance cost to setting this flag, so clients should avoid turning on client components unless absolutely necessary. For the components outputText and outputFormatted, setting the clientComponent to true will render id attribute for the html DOM. This ID attribute can alternatively be generated by setting oracle.adf.view.rich.SUPPRESS_IDS to "auto" in web.xml.
      Returns:
        the new clientComponent value

    - #### setClientComponent

          public final void setClientComponent(boolean clientComponent)

      Sets whether a client-side component will be generated. A component may be generated whether or not this flag is set, but if client Javascript requires the component object, this must be set to true to guarantee the component's presence. Client component objects that are generated today by default may not be present in the future; setting this flag is the only way to guarantee a component's presence, and clients cannot rely on implicit behavior. However, there is a performance cost to setting this flag, so clients should avoid turning on client components unless absolutely necessary. For the components outputText and outputFormatted, setting the clientComponent to true will render id attribute for the html DOM. This ID attribute can alternatively be generated by setting oracle.adf.view.rich.SUPPRESS_IDS to "auto" in web.xml.
      Parameters:
        `clientComponent` - the new clientComponent value

    - #### getClientAttributes

          public final Set getClientAttributes()

      Gets a set of client attribute names.
      Returns:
        the new clientAttributes value

    - #### setClientAttributes

          public final void setClientAttributes(Set clientAttributes)

      Sets a set of client attribute names.
      Parameters:
        `clientAttributes` - the new clientAttributes value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.
      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.
      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getClientListeners

          public final ClientListenerSet getClientListeners()

      Gets a set of client listeners.
      Returns:
        the new clientListeners value

    - #### setClientListeners

          public final void setClientListeners(ClientListenerSet clientListeners)

      Sets a set of client listeners.
      Parameters:
        `clientListeners` - the new clientListeners value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `org.apache.myfaces.trinidad.component.UIXPanel`

    - #### getBeanType

          protected org.apache.myfaces.trinidad.bean.FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `org.apache.myfaces.trinidad.component.UIXPanel`

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.